﻿@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using DataTables.AspNetCore.Mvc
@model CyberaniumModels.Organization
@{
    ViewData["Title"] = "Index";
}
@if (!string.IsNullOrEmpty(TempData["success"]?.ToString()))
{
    <script>
        toastr.success('@TempData["success"]');
    </script>
}
else if (!string.IsNullOrEmpty(TempData["error"]?.ToString()))
{
    <script>
        toastr.error('@TempData["error"]');
    </script>
}

<script src="~/Script/Master/Layout.js"></script>
<script src="~/Script/ApplicationManagement/OrgAssignToConsultant.js"></script>
<script>
    $(document).ready(function () {
        debugger
        if ($("#Id").val() > 0) {
            $(".titile_heading h1").html("Organization");
            $(".service_line").addClass("active");
            $('#DdlRole').val([@Model.ConsultantIds]).change();
            $(".assign_panel").hide();
            $(".titile_heading").show();
            $('.multiple').multiselect('rebuild');
        } else {
            $(".titile_heading h1").html("Organizations");
            $(".service_line").removeClass("active");
            $(".assign_panel").show();
            $(".titile_heading").show();
        }
    });
</script>


<section>
    <div class="right_section">
        <div class="titile_heading" id="title_List">
            <h1>Client List</h1>
            <div class="titile_line"></div>
        </div>
        @if (ViewBag.message != null)
        {
            <script>toastr.success('@ViewBag.message')</script>
        }

        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <div class="right_panel">
                <div class="right_content">
                    <div class="service_line" id="dvForm">
                        <form asp-area="ApplicationManagement" asp-controller="OrganzationAssignToConsultant" asp-action="UpdateAssigntoConsultant" id="form" method="post"
                              data-ajax="true"
                              data-ajax-method="POST"
                              data-ajax-mode="replace"
                              data-loading-text="loading..."
                              data-ajax-update="#ajaxresult"
                              data-ajax-success="fn_Onsuccess(data,'ApplicationManagement/OrganzationAssignToConsultant/Index');"
                              data-ajax-failure="Errmsg(data);">
                            @Html.HiddenFor(m => m.Id)
                            @Html.HiddenFor(m => m.ConsultantIds)
                            <div class="pb-2 mt-4 mb-2 border-bottom box_title">Assign Consultant</div>
                            <div class="row">
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label class="required">Name(Parent Organization)</label>
                                    <div class="select_box m_bottom">
                                        <input type="text" class="form-control m_no" readonly="readonly" required name="ParentOrgName" id="ParentOrgName" value="@Model.ParentOrgName" placeholder="Enter parent org. name">
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label>Consultant</label>
                                    <div class="select_box m_bottom">
                                        @Html.DropDownList("DdlRole", Model.DdlRole, new { @class = "form-control m_no multiple chosen-select", multiple = "multiple" })
                                    </div>
                                </div>
                            </div>
                            <div class="row pt-3">
                                <div class="col-md-12 col-sm-12 col-xs-12">
                                    <div class="back_btn">
                                        <div class="back_btn_in">
                                            <input type="button" id="btnBack" name="Submit" value="Back" onclick="hideForm()">
                                        </div>
                                    </div>
                                    <div class="submitbtn">
                                        <input type="button" value="Submit" onclick="submitForm()">
                                        <script>
                                            function submitForm() {
                                                var consultantIds = [];
                                                $('#DdlRole option:selected').each(function (i, option) {
                                                    if ($(option).val() == 'multiselect-all') {
                                                        return;
                                                    }
                                                    consultantIds.push($(option).val());
                                                })
                                                $('#ConsultantIds').val(consultantIds.toString());
                                                $('#form').submit();
                                            }
                                        </script>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="assign_panel assign_section" id="dvDataTable">
                        <div class="assign_box active_block fade in">
                            <div class="row">
                                <div class="table_control">
                                    <table id="example2" class="table table-bordered table-hover">
                                        <thead>
                                            <tr>
                                                <th style="width:70px">SN</th>
                                                <th>Parent Organization Name</th>
                                                <th>Corporate Office Location</th>
                                                <th>Consultants</th>
                                                <th style="width:130px">Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @{int sn = 0;}
                                            @foreach (var item in Model.OrganizationList)
                                            {
                                                var consultantIds = String.IsNullOrEmpty(item.ConsultantIds) ? new String[1] { "0" } : item.ConsultantIds.Split(",");
                                                var consultants = ""; var no = 0;
                                                foreach (var id in consultantIds)
                                                {
                                                    no++;
                                                    var name = Model.DdlRole.Where(x => x.Value == id).Select(s => s.Text).FirstOrDefault();
                                                    consultants += consultantIds.Count() == no ? name : name + ", ";
                                                }
                                                <tr>
                                                    <td>@(++sn)</td>
                                                    <td>@item.ParentOrgName</td>
                                                    <td>@item.CorporateOfficeLocation</td>
                                                    <td>@consultants</td>
                                                    <td>
                                                        <a data-ajax="true" data-ajax-method="GET" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-action="Index" asp-route-Id="@item.Id" asp-controller="OrganzationAssignToConsultant" asp-area="ApplicationManagement" class="edit_btn"></a>
                                                        @*<a data-ajax="true" data-ajax-method="GET" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-action="BlockDeleteOrganization" asp-route-Id="@item.Id" asp-route-Type="0" asp-controller="Organization" asp-area="ApplicationManagement" class="Active_btn" asp-route-ActionName="@(item.IsActive ? "InActive" : "Active")"></a>*@
                                                        @*<a class="delete_btn" onclick="Confirmation('@item.Id')"></a>*@
                                                    </td>
                                                </tr>
                                            }
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>